
EnableExplicit

;Nautilus Engine Demo
;Version: 0.34 beta
;Author: Mijikai

;Look at nautilus.pbi to see all interfaces and functions!

XIncludeFile "nautilus.pbi"

Structure VECTOR_STRUCT
  x.f
  y.f
EndStructure

Procedure.i Demo(Width.i,Height.i,Title.s,ViewWidth.i,ViewHeight.i,FPS.i)
  Protected win.i
  Protected win_handle.i
  Protected win_flag.i
  Protected win_msg.i
  Protected *engine.NAUTILUS_ENGINE
  Protected engine_delta.f
  Protected engine_fps.i
  Protected engine_error.i
  Protected screen_center.VECTOR_STRUCT
  Protected *atlas.NAUTILUS_ATLAS
  Protected *sprite.NAUTILUS_SPRITE
  Protected *light.NAUTILUS_LIGHT
  Protected *back.NAUTILUS_ATLAS
  win_flag|#PB_Window_SystemMenu|#PB_Window_ScreenCentered|#PB_Window_MinimizeGadget
  win_flag|#PB_Window_MaximizeGadget|#PB_Window_SizeGadget
  win = OpenWindow(#PB_Any,#Null,#Null,Width,Height,Title,win_flag)
  If win
    win_handle = WindowID(win)
    *engine = nautilusCreate(win_handle,ViewWidth,ViewHeight,FPS);init the engine
    If *engine
      *engine\RenderAspect()                ;keep the aspect ratio
      *engine\RenderColor($400A05)          ;change the render color
      *engine\ViewPortCenter(@screen_center);get the screen (viewport) center
      *engine\DrawTextResize(8,12)          ;set new size for standart text drawing with the ENGINE interface
      *engine\DrawTextSetSpacing(6)         ;and set the spacing between chars
      *atlas = *engine\CreateAtlas(?logo)   ;create an atlas object/interface (an atlas manages/creates sprites, tiles and fonts)
      If *atlas
        *atlas\Resize(160,30)                         ;make the atlas texture smaller
        *sprite = *atlas\CreateSprite(286,0,100,64)   ;create a sprite
        If *sprite
          *sprite\Resize(300,200)                     ;resize sprite
          *light = *engine\CreateLight(ViewWidth,ViewHeight)
          *light\BoxLinear(0,0,ViewWidth,ViewHeight,ViewWidth / 2,0,ViewWidth / 2,ViewHeight * 2,$AAFFFFFF)
          *back = *light\CreateAtlas()
          Repeat
            Repeat
              win_msg = WindowEvent()
              If win_msg = #PB_Event_CloseWindow
                Break 2
              EndIf 
            Until win_msg = #Null
            *engine\RenderBegin(@engine_delta,@engine_fps,@engine_error)
            *back\DrawLight(0,0)
            *sprite\DrawEx(screen_center\x,100,#True,180,-20)
            *atlas\Draw(screen_center\x,screen_center\y + 160,#True,200);an atlas is not really meant to be used directly (use sprites, tiles and fonts)
            *engine\DrawTextLightMod(screen_center\x,screen_center\y + 30,"Hello World",40,40,#True,#True);render text centered & resized (modded) with 'light' blending
            *engine\DrawTextLightMod(screen_center\x,screen_center\y + 60,"Hello World",40,-20,#True,#True,$888888);flip it vertical by using negative sizes + some tint to make it darker
            *engine\DrawText(10,10,"Nautilus Engine",#False,#False,200,$FFDFBF)
            *engine\DrawText(10,25,"FPS " + Str(engine_fps),#False,#False,200,$FFDFBF)
            *engine\DrawText(10,40,"DLT " + StrF(engine_delta,2),#False,#False,200,$FFDFBF)
            *engine\RenderEnd()
            If engine_error;exit if there is an error
              Break
            EndIf 
          ForEver
          ;*sprite\Release()
        EndIf
        ;*atlas\Release();release the atlas object/interface and all releated resources (not really needed)
      EndIf
      *engine\Release();this will free all resources and objects/interfaces
    EndIf 
    CloseWindow(win)
  EndIf
EndProcedure

Demo(1080,720,"Demo Nautilus Engine v.0.34 beta",600,400,30)

End

DataSection
  logo:
  ;{ File: logo.png - Size: 6331 Bytes
  !dw 05089h, 0474Eh, 00A0Dh, 00A1Ah, 00000h, 00D00h, 04849h, 05244h, 00000h, 08201h, 00000h, 04400h, 00208h, 00000h, 00300h, 0A55Eh, 000C3h, 00000h, 07406h, 04E52h, 00053h, 00000h, 00000h, 06E00h, 007A6h, 00091h, 00000h, 07009h, 05948h, 00073h, 00E00h, 000C4h, 00E00h, 001C4h, 02B95h, 01B0Eh, 00000h, 05B18h, 04449h, 05441h
  !dw 0DA78h, 09DEDh, 07069h, 0E71Bh, 08079h, 0BDDFh, 08371h, 00820h, 02090h, 08109h, 02890h, 0D490h, 09141h, 028B6h, 0A689h, 04A64h, 025B2h, 0A9DBh, 02B2Dh, 08F8Eh, 076D6h, 0133Ah, 087BBh, 0B5A7h, 064D3h, 0CEDAh, 0FDA4h, 04EE1h, 0A3F3h, 0A775h, 071D3h, 03A9Ah, 0934Eh, 0995Ah, 0B134h, 08EA7h, 0C96Dh, 06489h, 087C7h, 0C95Ah
  !dw 02596h, 094D9h, 08B45h, 04522h, 0978Bh, 08048h, 00820h, 00090h, 01B89h, 062C4h, 0FEAFh, 0C8F8h, 04415h, 03CDDh, 043C4h, 033DFh, 041FCh, 0772Ch, 08B97h, 0EEC5h, 0F783h, 0BF7Dh, 00163h, 01830h, 0060Ch, 0C183h, 03060h, 00C18h, 08306h, 060C1h, 01830h, 0060Ch, 0C183h, 03060h, 00C18h, 08306h, 060C1h, 01830h, 0060Ch, 0C183h
  !dw 06E60h, 00429h, 0053Eh, 00C18h, 081E6h, 0F7E7h, 0E35Dh, 01FAFh, 0F2BCh, 0D62Ch, 00610h, 09983h, 00147h, 055D5h, 0DD97h, 0B6B9h, 06582h, 0DEA8h, 058A1h, 09D2Ah, 0E835h, 0D335h, 049D6h, 0B3A5h, 09C5Fh, 099E9h, 0193Fh, 00D61h, 03061h, 02FB7h, 05E7Bh, 0B578h, 05371h, 0CAFDh, 002D2h, 0A196h, 0C286h, 09CA9h, 0B520h, 0F5B4h
  !dw 05326h, 09713h, 0A9AFh, 069D3h, 09932h, 03CECh, 04645h, 04358h, 0CC18h, 0E2B2h, 03F7Bh, 0723Eh, 015EDh, 0F47Eh, 09DDDh, 01C6Ah, 0EF74h, 05AD6h, 0D000h, 07472h, 0CD32h, 09EB7h, 047EBh, 0A202h, 04A29h, 02494h, 08EB4h, 066DDh, 05C6Dh, 074EFh, 0CCD8h, 01000h, 0678Dh, 0F37Eh, 097E1h, 061F3h, 0AC22h, 00C21h, 0F966h, 0FF70h
  !dw 0FBF3h, 0A000h, 0E3DAh, 02F46h, 0769Dh, 0B4E3h, 0FC15h, 049A3h, 0E800h, 019EEh, 00000h, 020E4h, 09251h, 0B74Eh, 0A7F7h, 013D2h, 0432Ch, 0BC3Fh, 00EA3h, 07808h, 0E3FBh, 0A0D3h, 00000h, 09D38h, 09A0Eh, 014A2h, 0F145h, 002FAh, 0F000h, 023CCh, 0C94Dh, 0FF14h, 0C7F6h, 000ADh, 0DCCAh, 0089Ah, 0086Bh, 05983h, 00E6Eh, 069B2h
  !dw 063B2h, 02D39h, 01800h, 03918h, 013C1h, 064D3h, 06F94h, 0D2A2h, 07B52h, 09E22h, 0A54Ch, 01E27h, 0BDDBh, 068D1h, 00EE0h, 0DA7Dh, 050FEh, 02D73h, 0D0CBh, 0A3C3h, 083B1h, 0DB47h, 09401h, 08F2Ah, 05D5Bh, 09919h, 01228h, 0A14Dh, 0CD3Fh, 089A1h, 086B0h, 09830h, 0E3E5h, 035A0h, 02BD5h, 07A4Dh, 05156h, 0EA94h, 0C352h, 07D97h
  !dw 00051h, 02B28h, 0C432h, 089E3h, 0CA2Bh, 0ECE8h, 0AD57h, 0AB66h, 0E783h, 03DF9h, 0363Bh, 05914h, 0BF0Ch, 07038h, 0A2E2h, 01415h, 04002h, 08001h, 01A69h, 0969Ah, 0CDB2h, 08995h, 0FC68h, 061F9h, 0CB30h, 041C3h, 0B7DBh, 0A3ACh, 06228h, 09634h, 00411h, 0C8B9h, 0D05Ah, 0F000h, 05F65h, 01034h, 0D949h, 05ACDh, 099B3h, 0C789h
  !dw 06613h, 029B3h, 04910h, 03721h, 0ED39h, 056C6h, 02321h, 012CBh, 0A000h, 086E8h, 028A6h, 09651h, 02140h, 05140h, 08390h, 0A000h, 055C6h, 0DE74h, 05117h, 051FFh, 08949h, 0142Dh, 0030Ah, 037C0h, 0ADEFh, 049A7h, 0600Ah, 09CDFh, 08898h, 01FC4h, 00621h, 06CB3h, 0141Ch, 0A708h, 04104h, 08006h, 03FF7h, 02FEFh, 016B2h, 05434h
  !dw 0005Ah, 03460h, 007CEh, 02922h, 0619Ah, 08090h, 00000h, 068C9h, 0B6FBh, 0D1ADh, 09FB0h, 02620h, 01F03h, 09251h, 020D4h, 00A68h, 0A4A5h, 02750h, 0A288h, 0DAFAh, 0326Ch, 05FA0h, 01E0Eh, 06B3Dh, 07034h, 0ED8Fh, 078DEh, 00EEDh, 05847h, 01843h, 06DCCh, 020E4h, 0269Ah, 01964h, 0561Ch, 05E83h, 09933h, 020E2h, 0ED13h, 05A69h
  !dw 05E85h, 032C6h, 03C52h, 0C89Eh, 0B6DFh, 0C0A0h, 00924h, 04539h, 0C4B9h, 0003Bh, 01040h, 01004h, 000A0h, 04028h, 04000h, 0BF7Fh, 0FD5Fh, 05233h, 03A52h, 01236h, 0048Fh, 0717Eh, 084E0h, 0A2D5h, 08007h, 09EBBh, 01178h, 0086Bh, 0B983h, 01DADh, 0F774h, 0B5E6h, 04514h, 03228h, 014D0h, 05341h, 0A144h, 0AB49h, 0F0AEh, 0E7FEh
  !dw 0BFFDh, 0ACFDh, 0F76Fh, 04E9Dh, 01614h, 004A5h, 01032h, 01949h, 01918h, 044C5h, 04297h, 08000h, 04B22h, 0C889h, 06C60h, 09BD4h, 00F08h, 0F912h, 06385h, 00002h, 00508h, 042E0h, 01FBFh, 0F400h, 06296h, 01659h, 0B1D3h, 06491h, 04786h, 09F7Fh, 089A5h, 0FC28h, 06259h, 04B30h, 041D7h, 01ED5h, 03A77h, 0082Bh, 064A2h, 0B2D0h
  !dw 07968h, 02B3Ah, 0F04Ch, 04922h, 0C512h, 0BD16h, 0CB41h, 07866h, 037B1h, 0AF10h, 038F3h, 05A2Ch, 07862h, 00B3Ch, 03900h, 05099h, 0AC84h, 0C346h, 0C001h, 0AEF9h, 08D1Eh, 000BEh, 041C5h, 068A9h, 09B28h, 0DA8Eh, 0D59Dh, 0B605h, 04E72h, 08C6Bh, 08647h, 07E9Eh, 00778h, 0934Dh, 04881h, 03326h, 00591h, 02145h, 07080h, 0D894h
  !dw 0A992h, 0010Ch, 0E9C0h, 0580Ah, 03E8Dh, 0E09Ch, 0A953h, 03DCCh, 0375Bh, 05EF6h, 07018h, 06BAEh, 077F6h, 08A7Eh, 021A3h, 0E60Ch, 073B6h, 00010h, 05868h, 06ACAh, 052D6h, 0B124h, 0C2A6h, 071EAh, 08E16h, 0B227h, 08525h, 0877Ah, 03F55h, 09C96h, 04B18h, 0A04Eh, 008E0h, 06825h, 08000h, 022C2h, 04E9Dh, 09F9Bh, 0A5A0h, 02363h
  !dw 068A9h, 0EAC8h, 09770h, 0AAADh, 069A3h, 07026h, 02DA1h, 0E812h, 04593h, 0E581h, 023E8h, 0DEADh, 02278h, 0CB29h, 042B2h, 08000h, 0D6A2h, 05086h, 086FAh, 0765Eh, 08379h, 0F27Fh, 0B7D4h, 01366h, 0E113h, 07B06h, 0660Ch, 03BC9h, 09D68h, 088BBh, 0A865h, 0C1EEh, 074F1h, 02056h, 0A209h, 065C6h, 04DD5h, 08855h, 0A9E2h, 0D1DCh
  !dw 08333h, 0B6EAh, 0B77Bh, 01E55h, 0713Ch, 00001h, 08ACAh, 0C10Ch, 088E0h, 0CB24h, 0BE3Dh, 05931h, 03996h, 0868Dh, 0D8A6h, 06F61h, 0CD07h, 09E68h, 0E47Ah, 0593Eh, 05E51h, 0E77Fh, 0453Dh, 0B596h, 03D7Ah, 02BABh, 02002h, 05014h, 0AEDCh, 08632h, 0BDA1h, 00183h, 02721h, 04002h, 0AB85h, 06194h, 0DE98h, 01F3Eh, 0F54Ch, 07C6Ch
  !dw 08DEDh, 027FDh, 0F37Fh, 09C43h, 06194h, 0B730h, 083A9h, 07ADAh, 07347h, 054A2h, 0C2BDh, 0E15Ah, 00130h, 0A1C0h, 01713h, 093C6h, 0D1D9h, 06668h, 0B145h, 04D69h, 0D585h, 03561h, 04378h, 00071h, 076A8h, 09A15h, 04838h, 03326h, 04139h, 069A0h, 0229Ah, 0F2C9h, 04B12h, 08161h, 03921h, 088A1h, 09F02h, 0489Dh, 0EDFEh, 08F73h
  !dw 0FAFFh, 04B50h, 077B7h, 0A344h, 03F33h, 060FEh, 06B73h, 039DBh, 0A18Dh, 00140h, 04920h, 056D2h, 0E964h, 0F3EDh, 092C9h, 030C4h, 0594Ch, 03159h, 0B2C7h, 07DBDh, 074BEh, 0246Ch, 09137h, 0F4ECh, 03746h, 0AFAEh, 0F538h, 0B9D5h, 0A599h, 03366h, 0868Fh, 01F2Eh, 0A2BAh, 0558Eh, 0C6B9h, 0579Ah, 0675Bh, 0BB06h, 0A9BDh, 05F3Dh
  !dw 0CD71h, 08EEBh, 0B9BEh, 091DAh, 0E35Ch, 0CEFFh, 0CDF8h, 0E0CEh, 067F8h, 0EA73h, 0706Eh, 0370Fh, 02A75h, 0F0E6h, 0B832h, 0C1C6h, 0715Ch, 01BDBh, 044FCh, 07C66h, 03384h, 03338h, 024F3h, 0ABA0h, 02839h, 0159Dh, 08638h, 08E0Eh, 0BAA5h, 0BAF2h, 0561Ah, 0DC7Bh, 03665h, 04903h, 07510h, 0F695h, 084D4h, 0F470h, 0E0CCh, 06DDEh
  !dw 00095h, 0DAD0h, 0323Dh, 08D1Eh, 0E453h, 0DBC5h, 09B3Fh, 00793h, 04982h, 09F81h, 01D18h, 066EAh, 0DD58h, 09E77h, 083FCh, 04F4Fh, 08775h, 08922h, 07C6Ch, 0A758h, 048D3h, 0C5B4h, 02AEDh, 0860Bh, 03CC2h, 03FCFh, 0BBB6h, 01781h, 0DF84h, 03D1Dh, 0104Bh, 028A0h, 0010Ah, 03C44h, 033ECh, 05CDBh, 01E55h, 07777h, 040CFh, 0EC3Ch
  !dw 0419Bh, 03440h, 0DD97h, 0BF17h, 0E3F7h, 0B323h, 00CFCh, 0D66Eh, 0980Bh, 09F6Bh, 0B437h, 0FE7Ch, 08C6Eh, 0B8F9h, 0AE0Ch, 00D7Bh, 0FECCh, 0CD4Dh, 042FEh, 0D85Dh, 00820h, 03161h, 0AB6Ah, 05857h, 00755h, 0278Dh, 000B2h, 0D5D0h, 0F033h, 0FBADh, 02A1Bh, 04D8Ah, 01000h, 0A488h, 07CDEh, 005BFh, 07260h, 01A93h, 01597h, 0F800h
  !dw 0C89Ch, 0F4B1h, 00A9Ah, 0D1EBh, 00C48h, 02869h, 0939Bh, 0C1FDh, 095F1h, 056E5h, 0248Ah, 0D380h, 00002h, 0CA10h, 07FCFh, 0F6F9h, 05E0Fh, 0F6F8h, 00E2Fh, 0549Ch, 08E4Ch, 0D868h, 0EEB7h, 0B58Eh, 0430Ch, 07CF3h, 0B1EEh, 00DDDh, 00346h, 0F6F7h, 05681h, 05000h, 04014h, 067CDh, 04904h, 063A6h, 0B223h, 09AE2h, 0BBF1h, 025C3h
  !dw 065EAh, 0A0EBh, 028A5h, 01BF7h, 0D43Fh, 0F0DBh, 02B1Bh, 041DFh, 09000h, 0C89Ah, 0F8F5h, 02FC7h, 0D077h, 0D2AAh, 09602h, 058A1h, 07286h, 09895h, 06D76h, 045ADh, 091C1h, 028ACh, 017EDh, 000C2h, 041F0h, 0178Bh, 0B400h, 0CD1Ch, 00450h, 04800h, 0C492h, 08A50h, 051D3h, 00818h, 09DA7h, 01D76h, 01400h, 04BD9h, 08144h, 019A7h
  !dw 0A5FAh, 0F8FFh, 013F5h, 068DFh, 00000h, 02482h, 0BE7Dh, 0DEA1h, 01F3Eh, 0771Ah, 0A476h, 0EBD5h, 09674h, 01FE4h, 0C989h, 0ACEAh, 05F5Eh, 076A7h, 09C7Bh, 0A141h, 09E9Ah, 0CBF3h, 0CE68h, 067BFh, 0EFE6h, 0EBBBh, 0DDF2h, 06CDEh, 0B0E2h, 098D8h, 02A71h, 0B731h, 0C5C9h, 03ECCh, 01BB2h, 09EC9h, 0CAE6h, 0B33Eh, 0A8B9h, 0FD6Eh
  !dw 07185h, 0F3FFh, 0AAFBh, 06E3Dh, 045BBh, 031C7h, 01497h, 00573h, 00E51h, 0A78Dh, 0EFD1h, 03D5Dh, 0BB03h, 0D6B6h, 01456h, 0D49Bh, 00B54h, 069B9h, 0D6D7h, 0C3DAh, 0DBC7h, 0DC01h, 098EAh, 06CB2h, 0A736h, 0B0D1h, 08169h, 07754h, 0E7C8h, 08604h, 0D026h, 0F186h, 0B8D8h, 0EECDh, 00D18h, 00005h, 0FF60h, 04FEFh, 00C9Ah, 089DAh
  !dw 026B8h, 01893h, 0E879h, 01DBEh, 0E1A8h, 0618Ch, 0A0E8h, 0483Fh, 0A100h, 0894Ch, 0A507h, 00063h, 067B0h, 006C7h, 0D98Eh, 0DAF8h, 0FB1Bh, 07097h, 0B434h, 015D4h, 008B0h, 0DA4Fh, 03A12h, 0D38Dh, 0F2FCh, 0EFA3h, 0BCEEh, 0C1E2h, 06D5Fh, 032F9h, 0A506h, 05D63h, 0033Dh, 05AC7h, 00F3Ah, 06F1Fh, 0FFCFh, 00821h, 069C5h, 05A37h
  !dw 08CF4h, 0F2BAh, 06C68h, 04AD2h, 0F891h, 03784h, 04718h, 0F84Dh, 076D3h, 0E1F8h, 08397h, 0AC99h, 00008h, 0D1A3h, 07F8Ch, 0E934h, 04D1Fh, 02C72h, 03BD3h, 0069Ch, 0B700h, 028C3h, 072E4h, 0C334h, 02410h, 00001h, 081C3h, 067C1h, 0B91Fh, 0C84Bh, 02465h, 05721h, 05155h, 0A27Ch, 0CFDDh, 0AC71h, 01FCFh, 0F2CCh, 02539h, 0CC6Fh
  !dw 02C87h, 0E8CBh, 08397h, 0CF47h, 07EA2h, 00BD5h, 0A1A3h, 02BFCh, 0D703h, 01677h, 07C5Bh, 0CB74h, 0DBEEh, 05F19h, 09706h, 0683Bh, 0DE9Eh, 092D4h, 050BBh, 08391h, 0964Ch, 0F422h, 0C2F3h, 0DB93h, 0F07Fh, 0AEECh, 0FCBFh, 0EDA3h, 00D4Dh, 02635h, 0514Bh, 0D76Bh, 04B48h, 0B0E7h, 0C346h, 01494h, 001EAh, 0FF60h, 087BBh, 06342h
  !dw 0D399h, 0A15Dh, 0FBBFh, 0FFE7h, 0B7FAh, 05F57h, 0FFDFh, 0A1EEh, 0366Ch, 0E3DBh, 0BF1Fh, 0B77Ch, 09F1Fh, 001F6h, 08EC0h, 015FAh, 06B5Bh, 081CBh, 058B8h, 066A8h, 00268h, 07200h, 0D67Ch, 0545Ah, 0F97Ch, 00C56h, 0CB43h, 0CCB2h, 039F3h, 0F2F4h, 0DDF1h, 09F1Bh, 06078h, 00013h, 0F4F4h, 000F9h, 09320h, 09B1Ch, 0DBF1h, 01A5Ch
  !dw 0EC23h, 06297h, 0114Dh, 054B3h, 09E52h, 02CC5h, 0C2A0h, 07B22h, 0DB8Dh, 0D46Ah, 055B2h, 00A2Bh, 01CB5h, 0492Dh, 0244Ah, 0913Eh, 049CBh, 0561Bh, 0B7D9h, 096D5h, 0A8A3h, 0B5E7h, 08E77h, 0DAEFh, 07B5Ah, 09DC5h, 087F4h, 057D2h, 0BE5Ch, 0CEA3h, 03669h, 082B0h, 0B728h, 08F76h, 06D38h, 05106h, 06C92h, 03A85h, 0E800h, 04FF1h
  !dw 069F6h, 00824h, 00002h, 00A0Ah, 0EA2Ch, 0C926h, 08F0Ch, 0A374h, 0C83Ah, 0D26Ch, 0DA7Eh, 0B176h, 09247h, 04D90h, 0D181h, 00EAAh, 058EFh, 00D78h, 0C0CDh, 0971Ah, 01727h, 0FA3Fh, 04EEEh, 0581Ch, 0692Dh, 0DF59h, 0F1E0h, 0E02Ch, 0BCA7h, 0BF38h, 090DEh, 09A80h, 06A1Ah, 01C74h, 0DAB3h, 03169h, 058E9h, 0905Eh, 0777Eh, 077ACh
  !dw 05D7Bh, 0DDB9h, 0306Ah, 0996Ah, 0DF97h, 06E39h, 014B2h, 0C001h, 0359Dh, 09B25h, 01C6Bh, 086EAh, 0FADFh, 043E6h, 06000h, 07032h, 0F8FFh, 0CF37h, 04000h, 09220h, 08B1Ah, 0CE4Fh, 05D2Ah, 0A852h, 01597h, 00005h, 0379Ah, 05B94h, 01A4Ch, 05249h, 0BB5Ah, 00047h, 0A280h, 02F88h, 0FDDAh, 098A2h, 0ACABh, 0E128h, 00258h, 05000h
  !dw 0163Ah, 0091Eh, 08002h, 0757Bh, 0BA8Dh, 0FDF3h, 05B87h, 00155h, 02D59h, 09CFAh, 07E20h, 03ED6h, 0F3E4h, 0D107h, 03542h, 03B43h, 0E1D1h, 0485Fh, 0610Dh, 02C6Bh, 00A9Eh, 002CBh, 05ADEh, 0BCB3h, 06E0Ch, 091C1h, 0E62Fh, 0550Bh, 0C14Dh, 08000h, 0C922h, 0CE96h, 0C3E1h, 0DBC7h, 09639h, 0EA7Eh, 00D1Bh, 0DF8Fh, 0CD53h, 0D20Bh
  !dw 007ABh, 04CCEh, 08A19h, 0535Eh, 02451h, 00A4Ah, 04C2Fh, 040CEh, 07DB6h, 0BACBh, 0C7C3h, 051DBh, 09A95h, 02865h, 07000h, 09895h, 0E2C6h, 0FB13h, 03DDFh, 0A9B4h, 03B69h, 01041h, 07081h, 0B5AAh, 078E5h, 0B868h, 09782h, 08659h, 038BBh, 0D5FCh, 0336Eh, 01432h, 0A9B5h, 0F1C6h, 0E1D6h, 0514Eh, 0A9CCh, 058E9h, 08141h, 06185h
  !dw 07559h, 0E7B5h, 0DF1Eh, 0E676h, 0FFBCh, 02F93h, 0757Bh, 0EE3Ah, 05AFFh, 03DBDh, 03E7Dh, 0A54Fh, 04D4Bh, 02ED0h, 07956h, 07248h, 03521h, 0F384h, 0C5B2h, 0DB73h, 089CFh, 0AE8Ch, 0AF71h, 0E6DEh, 0C41Fh, 09C7Ch, 05519h, 08F40h, 053DFh, 0645Dh, 00ED6h, 05387h, 03ABFh, 0F9F8h, 07B33h, 0ED1Bh, 07AD6h, 00A14h, 0DB6Dh, 074E0h
  !dw 0E914h, 0E2FFh, 07A91h, 03EB4h, 0482Fh, 0FE3Dh, 0F1B1h, 044D8h, 03FB7h, 00006h, 0A2B2h, 03430h, 04C89h, 06254h, 052DDh, 0336Eh, 0C001h, 0B6E9h, 077AEh, 03C3Fh, 0D68Eh, 08E0Fh, 032A5h, 014E9h, 071C7h, 00383h, 02C7Dh, 099C3h, 0162Ch, 04EADh, 028EFh, 00273h, 0D340h, 032FAh, 09E93h, 04415h, 00019h, 0FD46h, 06DE7h, 052F6h
  !dw 01734h, 07B9Ah, 04D75h, 0FAD3h, 03E32h, 00227h, 04100h, 00092h, 079D0h, 00821h, 02700h, 00DCFh, 08209h, 096A8h, 02E84h, 0880Ah, 0E1A2h, 059D2h, 01641h, 04346h, 0B7F9h, 04DC4h, 0E359h, 0CD6Ah, 0383Dh, 09AC2h, 0D7CDh, 042FBh, 04645h, 0BE33h, 06E0Ch, 05F36h, 04D9Bh, 0FB8Bh, 01D5Ch, 09CE1h, 04044h, 0ECCFh, 0B46Dh, 0275Bh
  !dw 08C87h, 039F2h, 0E5F1h, 01F5Fh, 0EA7Dh, 00D1Bh, 0783Fh, 01776h, 07F0Ah, 057D6h, 056DAh, 05B95h, 0C306h, 08F89h, 00D4Eh, 0B264h, 02242h, 0011Ah, 06780h, 036F6h, 0B59Ah, 0968Ch, 04965h, 02A9Ah, 06358h, 0FF7Bh, 0C758h, 0C68Eh, 014F5h, 0EC45h, 05ADAh, 0AE7Bh, 0FFDBh, 0D793h, 0A24Eh, 06DBDh, 0DA6Ah, 0B93Eh, 03E5Bh, 071C7h
  !dw 04B1Ah, 06AC9h, 0C00Bh, 0CDEEh, 02B15h, 0171Ch, 03E8Bh, 020BCh, 0F6BDh, 033DBh, 03000h, 0703Ch, 03916h, 01628h, 0108Dh, 0C104h, 0ACB0h, 0CF49h, 0FCBEh, 023ABh, 0D000h, 078D0h, 00037h, 0C784h, 02853h, 061DEh, 0E998h, 020DEh, 07808h, 0D1EAh, 0BA87h, 0A287h, 0D3F9h, 02EC5h, 068C3h, 07308h, 01BDDh, 05172h, 008C9h, 08373h
  !dw 0D011h, 07B33h, 0CD1Bh, 0CD46h, 0FB4Bh, 0030Eh, 06340h, 067BDh, 0DAD3h, 017B2h, 06C9Eh, 0F03Eh, 04F49h, 03E24h, 0BEB1h, 0B6D2h, 06D79h, 028A9h, 02DCBh, 0C39Dh, 0F000h, 0F368h, 08BEAh, 012B6h, 03224h, 01543h, 0D8EBh, 09A78h, 0BF5Fh, 0F8BAh, 08EB3h, 0A391h, 0779Fh, 064C0h, 04717h, 0B556h, 0A20Fh, 067ABh, 0DAA0h, 0F6E3h
  !dw 08D0Dh, 034D2h, 0000Bh, 0B71Fh, 00178h, 097BCh, 08F1Fh, 062C5h, 019A3h, 09726h, 02495h, 0BA51h, 05363h, 0D353h, 032FAh, 09441h, 0B1D3h, 08A20h, 00498h, 02651h, 00080h, 05050h, 0487Fh, 00002h, 0778Dh, 0787Dh, 086C7h, 07B52h, 00001h, 09288h, 03DDCh, 09D14h, 0A9D9h, 0E7A0h, 07EFCh, 0D9B8h, 099EFh, 0EA9Bh, 08B38h, 0A76Fh
  !dw 0C999h, 016E8h, 06997h, 05516h, 031B8h, 047E7h, 0FB38h, 083B7h, 04E26h, 0CEFDh, 046DEh, 0D5BBh, 0CD90h, 04EE6h, 00DB4h, 0DAECh, 0BB5Ah, 0C2A6h, 0E5AAh, 05E68h, 07E90h, 0BBFEh, 000B3h, 0A6B0h, 0CAC2h, 0D432h, 0E3E1h, 048EDh, 07655h, 041ABh, 00DADh, 0C4A1h, 0B40Dh, 017CCh, 0431Dh, 06B0Dh, 050CAh, 00879h, 09455h, 001D4h
  !dw 06A65h, 0EB97h, 09EAEh, 01581h, 03665h, 09659h, 04E19h, 048ABh, 0E052h, 0DB42h, 08ED5h, 0E38Ah, 089B4h, 0B8C4h, 04A24h, 06BD5h, 0EEEBh, 077AEh, 05869h, 027EAh, 0F3FFh, 024A9h, 008E4h, 05492h, 0A2C3h, 0E0A9h, 08D07h, 050E4h, 0A000h, 03FBDh, 0A672h, 0B46Fh, 0A3ABh, 0514Dh, 08364h, 0B1C5h, 03428h, 0E734h, 03E97h, 0CBCEh
  !dw 044E6h, 04B46h, 0E0D4h, 0D7F3h, 07A8Bh, 05101h, 06F27h, 06866h, 0FBF8h, 05E97h, 077BBh, 0B367h, 0A0DEh, 01677h, 049E9h, 04092h, 04196h, 0717Ch, 0FBA6h, 00172h, 00721h, 0B519h, 04BCCh, 00EFBh, 0A96Fh, 0DAAFh, 0B6B4h, 0638Ch, 0B6A8h, 0D1DEh, 06BCDh, 0014Bh, 06AA0h, 06145h, 0C522h, 0F6FFh, 0DEB3h, 01F7Ch, 028ADh, 069B3h
  !dw 0FAB4h, 068E0h, 0F87Ch, 0D9C2h, 07BC9h, 0A69Eh, 0BCC5h, 0A5E9h, 00001h, 0B44Dh, 0F3C8h, 01413h, 07D4Dh, 0CFEFh, 0349Fh, 0D9E9h, 0209Ch, 0FABDh, 0B1E6h, 0F8D4h, 00030h, 0AD18h, 0A9CEh, 01475h, 0A186h, 0EEF7h, 043A8h, 0147Dh, 04787h, 06763h, 046FAh, 08619h, 0E81Eh, 0E9F3h, 08A0Bh, 061E3h, 08CDFh, 009CFh, 01F3Dh, 0CE97h
  !dw 0BF8Ch, 06E67h, 07864h, 00E14h, 06688h, 03053h, 0E45Ah, 0C6E1h, 0FCADh, 0177Ch, 06424h, 00E43h, 07742h, 0BFECh, 0D4FEh, 0BCD7h, 02EEDh, 041BDh, 0EE7Fh, 0A442h, 0756Eh, 0BEF1h, 0ED43h, 08000h, 03F4Ah, 04D34h, 03535h, 0D4D4h, 02EAFh, 06866h, 0DF32h, 08F4Dh, 0AF36h, 06A36h, 07D99h, 075EFh, 0E9FCh, 0DBA3h, 066ACh, 0248Dh
  !dw 0A929h, 0708Ch, 0D567h, 0DB64h, 02496h, 0832Bh, 08923h, 01535h, 0AFD6h, 063BDh, 04B26h, 02251h, 0991Ah, 020E6h, 0F5D4h, 09A79h, 00083h, 02140h, 08D94h, 09B9Bh, 0D5B6h, 0A055h, 0F55Ah, 0CFC1h, 0077Ah, 04287h, 0F1A9h, 04961h, 011CAh, 0F924h, 083F4h, 0F89Bh, 0889Ch, 09F62h, 07687h, 0F5D4h, 0268Fh, 0BDDAh, 09963h, 0EC89h
  !dw 0E4E0h, 00E90h, 0A519h, 0A868h, 0BD44h, 0A324h, 01C21h, 02CE9h, 01363h, 0B32Dh, 09CE3h, 0CC73h, 05736h, 0575Bh, 068C0h, 01FE1h, 0A7BFh, 08DFAh, 04FF7h, 0A225h, 09429h, 0AD5Bh, 028ADh, 068D4h, 0D5D9h, 01665h, 02686h, 09B91h, 09E90h, 01550h, 0DF69h, 01D7Bh, 0BCDFh, 063DBh, 0B036h, 0FCBFh, 0B9FDh, 0564Ch, 0B3B8h, 0A4A6h
  !dw 059CAh, 01C38h, 02549h, 07227h, 0E7ADh, 0EA43h, 055CEh, 0F907h, 0FDBCh, 0A0E1h, 02A7Fh, 021E6h, 009D4h, 019F0h, 0319Ah, 05A17h, 056CBh, 0EC54h, 0B8DCh, 0D90Ah, 0D4E7h, 060F9h, 09D22h, 0A64Bh, 0A3D2h, 06323h, 0B1B1h, 04921h, 011CAh, 0F904h, 09EE8h, 01CDDh, 08747h, 0C9A3h, 0EF47h, 07FABh, 0A3FBh, 01D33h, 061FDh, 02492h
  !dw 05965h, 04FF6h, 018F6h, 02652h, 03ABBh, 0602Ah, 02C2Ch, 02003h, 061E2h, 062EFh, 0D0D1h, 05C82h, 04B58h, 0503Dh, 07E5Ah, 0DE81h, 02ECCh, 08583h, 0880Ah, 00D6Eh, 0BC1Fh, 0ECF2h, 0CF03h, 033EFh, 02EDBh, 089CEh, 08C91h, 01846h, 0E88Ah, 0EAEBh, 00004h, 06586h, 0EB1Ah, 01A3Dh, 0BB2Dh, 0B4AAh, 0AF40h, 0F265h, 023E3h, 0A593h
  !dw 06EC8h, 0BC35h, 0E07Ah, 09ACCh, 0AB0Ah, 06ADAh, 00006h, 0E7ADh, 0F943h, 041F6h, 093EBh, 0A924h, 041C6h, 048D1h, 00090h, 02142h, 09B14h, 0B4BDh, 0DCB4h, 070C9h, 0921Ah, 05020h, 03D23h, 05F5Ah, 0E510h, 0BE0Fh, 00018h, 05480h, 0333Ah, 01434h, 0C74Ah, 0A043h, 09548h, 0EB55h, 03BBBh, 0FEDBh, 0CFEAh, 050FEh, 052C3h, 07D3Fh
  !dw 018F3h, 0827Ah, 04C22h, 0D235h, 071A3h, 004ADh, 00A90h, 004C8h, 0CE90h, 012F2h, 0569Dh, 05303h, 0554Fh, 0E05Ch, 086F9h, 01966h, 0DCEFh, 0F4E0h, 0F966h, 0E997h, 05E0Dh, 08B46h, 0D076h, 0ECECh, 07F8Fh, 034A9h, 05D84h, 0E9B7h, 06AFDh, 0F11Fh, 00B32h, 02FCCh, 0AA7Fh, 03C57h, 0FBECh, 05797h, 0007Ch, 0B260h, 0EAB9h, 054D6h
  !dw 0840Ch, 00F92h, 0AD36h, 0EA32h, 07DD8h, 0DA87h, 08091h, 06112h, 02A1Fh, 0A112h, 0F452h, 0DED7h, 0B431h, 0D11Ch, 0EF58h, 0E831h, 0D135h, 0EA78h, 04774h, 05ABFh, 0E20Ch, 0CD38h, 058E8h, 09A22h, 04314h, 00EBEh, 09449h, 09208h, 0DBACh, 044D8h, 094D3h, 00828h, 0EB8Dh, 00B4Ah, 01A8Dh, 03D55h, 00B88h, 00617h, 09163h, 04921h
  !dw 011CCh, 0B924h, 0F6B6h, 0FE8Eh, 0AEDEh, 0CEEEh, 09636h, 03463h, 0F52Ch, 0B7B3h, 02B8Eh, 05193h, 05E4Fh, 00712h, 0D4CAh, 0B0B4h, 05EE5h, 0C05Fh, 0303Bh, 0E158h, 0315Eh, 03A3Ah, 0B33Eh, 08BBEh, 0A8F3h, 01BA1h, 0C1B9h, 0FCE6h, 0BF83h, 03DE2h, 0E4B9h, 0DB66h, 0C199h, 05FF1h, 0C377h, 0F285h, 08CD4h, 08DC3h, 0A65Bh, 05BD7h
  !dw 01019h, 03BE5h, 05A68h, 0D741h, 07364h, 02C99h, 0FD45h, 0D4C1h, 06DDEh, 08DABh, 0C9BAh, 02966h, 0A024h, 0777Bh, 03736h, 073ACh, 00CB1h, 08AA5h, 0A909h, 03267h, 01196h, 0FD84h, 01EEFh, 0D932h, 0685Ch, 075FDh, 01B75h, 04E39h, 01433h, 0A71Ah, 03669h, 0EBE4h, 05930h, 0A3CBh, 0BE23h, 0CAB2h, 0967Ah, 0BFA1h, 0EAEEh, 0A5CDh
  !dw 06DA2h, 09E5Fh, 0FCBCh, 090C0h, 0047Dh, 08209h, 070A1h, 0EF7Fh, 09E79h, 0BFE7h, 0DCFFh, 01C53h, 0FE43h, 0CDF4h, 0AB63h, 05D2Bh, 0C1BEh, 0FDE0h, 0354Dh, 055A8h, 02C7Eh, 07E9Ah, 0E3FBh, 00056h, 00805h, 02482h, 08E08h, 00163h, 0A280h, 09419h, 0CDA3h, 07478h, 062EBh, 02969h, 0939Bh, 068AEh, 0BDD7h, 06F6Fh, 03CFDh, 0D784h
  !dw 08C3Dh, 03C39h, 0B9FEh, 09DBDh, 0A9E6h, 0E0EBh, 0E94Dh, 07160h, 0857Eh, 0ECCCh, 04CCCh, 0838Bh, 05E50h, 06486h, 01C84h, 09684h, 0EAFFh, 0E7E0h, 080AAh, 09618h, 0DE69h, 0D77Ah, 05A96h, 04537h, 0C811h, 08941h, 0EFB0h, 09DDEh, 01CCDh, 0ED4Bh, 0F77Fh, 0BE50h, 050C2h, 0A410h, 0B8F3h, 05125h, 01D54h, 07564h, 0D254h, 01B34h
  !dw 02923h, 0459Bh, 07EB7h, 05165h, 0CF57h, 0DD40h, 04DC6h, 0E75Dh, 026CEh, 051E2h, 0668Ah, 07A57h, 05AD6h, 0662Ch, 041B5h, 0A74Dh, 09C37h, 03B6Bh, 0499Dh, 008A7h, 0B492h, 05695h, 0C802h, 07B3Fh, 0A4EBh, 0D002h, 0EFD7h, 00027h, 003BAh, 0F689h, 0C8FEh, 02F80h, 0ECF0h, 04D23h, 0767Bh, 0B6D4h, 047F7h, 0576Ah, 09916h, 0FA0Ch
  !dw 0F396h, 05401h, 04275h, 092D1h, 04D90h, 06CCDh, 07C4Ah, 01172h, 0E59Ah, 0BBBAh, 0D9BAh, 02179h, 06116h, 0363Ah, 0C757h, 07F3Fh, 06273h, 0FADCh, 060CBh, 00EA1h, 0D6F5h, 0D3FCh, 05E0Fh, 05679h, 0DC7Dh, 03C7Bh, 043ECh, 0663Fh, 0CB9Bh, 0E53Ch, 044A0h, 08234h, 09344h, 0FB08h, 0364Ch, 07DD7h, 077BBh, 0B03Dh, 09EFBh, 04F5Ah
  !dw 0EAA9h, 089A0h, 0F0F8h, 03BBDh, 0759Bh, 0ED3Ah, 0F7C1h, 0343Eh, 05CD9h, 08FEAh, 055DBh, 0ED56h, 07371h, 0C69Ch, 03437h, 0123Ah, 0A09Dh, 03669h, 0DFD0h, 07566h, 0D254h, 01B14h, 075F4h, 02B3Ah, 0B7EBh, 0AFD7h, 015B0h, 00E4Ch, 0AB22h, 0B75Eh, 064C1h, 06973h, 0D68Ch, 09EFEh, 0538Eh, 03E27h, 0FF41h, 0112Eh, 09DF6h, 0F13Ah
  !dw 02889h, 0FFF2h, 0D7F0h, 079DFh, 0C9E6h, 08E3Dh, 0EB12h, 0D391h, 0A7BEh, 0DE1Fh, 0F4F2h, 09B83h, 05964h, 019A6h, 0965Ah, 08E65h, 0AB63h, 0EE3Dh, 0DE37h, 0DD3Fh, 01FDEh, 0860Eh, 0EF22h, 0DA7Dh, 032C1h, 0DD44h, 01B4Ah, 0D0CBh, 06697h, 08B6Ch, 01A2Fh, 046BAh, 03BC4h, 05FB7h, 0D774h, 0B9EEh, 0F8B7h, 0274Bh, 039B3h, 0ABFEh
  !dw 0BB6Dh, 0DE78h, 04DF5h, 03E25h, 0EDD7h, 03984h, 0EF1Fh, 056EBh, 066A6h, 03A6Ah, 016A6h, 093AAh, 03579h, 01420h, 0A0DDh, 0B542h, 06EDBh, 0EA34h, 09438h, 0D5A0h, 09757h, 0CD99h, 0A735h, 0073Bh, 0A952h, 09AACh, 01582h, 0D6BBh, 09C30h, 06696h, 0E1E8h, 01270h, 06800h, 01D9Ah, 069EAh, 097B5h, 09557h, 0ACADh, 02453h, 03829h
  !dw 059D8h, 0AEEAh, 0647Dh, 087A7h, 0C863h, 0DF57h, 0F63Ch, 03DEDh, 08B9Bh, 0F40Ah, 0F000h, 016C0h, 00037h, 08D0Ch, 01344h, 0ECA9h, 02747h, 03FCEh, 05F76h, 0797Dh, 005B1h, 0F800h, 0F89Ch, 085F5h, 047E0h, 0CE27h, 02A7Bh, 0245Dh, 0B649h, 00674h, 0D69Bh, 0083Bh, 09E00h, 0A9CFh, 06995h, 06500h, 037C0h, 0C2BCh, 0D0E9h, 03569h
  !dw 05A47h, 0E9BDh, 06264h, 0E6E7h, 077EAh, 01D0Eh, 05836h, 0B31Ch, 037E9h, 09F84h, 08653h, 0DCC1h, 0D422h, 00CBCh, 041C5h, 07457h, 07DD3h, 077BBh, 0F419h, 0F41Ah, 031A0h, 0BE34h, 0312Ch, 0B895h, 015A1h, 09C3Eh, 0A90Ah, 07AEEh, 045E2h, 0B183h, 09520h, 05D8Ch, 099BCh, 0CA29h, 0A8E6h, 069A4h, 0E836h, 0673Dh, 0292Bh, 0B825h
  !dw 01282h, 079BBh, 0DDEFh, 04855h, 0CF64h, 0713Dh, 044F7h, 0944Eh, 0F104h, 0F7F5h, 0014Eh, 0B540h, 07DC7h, 046EFh, 02C57h, 04191h, 0DD2Fh, 032AEh, 0D800h, 03CDBh, 072B9h, 0C7B5h, 0F5EDh, 00B0Dh, 02082h, 0CD4Dh, 098ACh, 00CA7h, 04002h, 05D59h, 042E9h, 0E905h, 09EEEh, 08981h, 04878h, 0296Fh, 08E8Dh, 0CC0Ch, 0232Ch, 03C03h
  !dw 00CA6h, 0B983h, 0A065h, 06CA4h, 0835Ah, 0BE7Dh, 07683h, 0DCEEh, 0D1A1h, 0AE30h, 01312h, 00245h, 0651Ah, 0EF96h, 05520h, 02A40h, 0BEACh, 066C0h, 0B3B6h, 00E9Ch, 054BDh, 02924h, 0EC1Ch, 02593h, 00001h, 00A72h, 0B2EBh, 07799h, 059DEh, 08681h, 003C8h, 027C0h, 0FC67h, 0286Ah, 0F884h, 0D3DFh, 0F53Eh, 02A25h, 0AB36h, 07D78h
  !dw 04101h, 05710h, 0BA57h, 0E2D4h, 0B211h, 06A0Fh, 05335h, 0CE00h, 0F99Eh, 06B4Ah, 010B4h, 09240h, 05924h, 0D0D7h, 0EA78h, 027C4h, 0378Bh, 0C329h, 03060h, 00C57h, 05488h, 0E525h, 0F5FFh, 04774h, 01FFFh, 069EFh, 06A34h, 06B99h, 04104h, 08CF9h, 0BC87h, 0AEC5h, 02135h, 039DFh, 0AA69h, 03463h, 0D345h, 022C6h, 02CA7h, 02EC9h
  !dw 063A7h, 0C6E7h, 08E0Ah, 05EA1h, 0F37Dh, 01A98h, 034ECh, 02FADh, 0AD55h, 04884h, 0B3A4h, 05ED3h, 03EA2h, 03C41h, 0AB9Fh, 0B8F2h, 086D1h, 012EEh, 0D1E3h, 06E96h, 0B3A7h, 02284h, 0AF49h, 0586Fh, 09901h, 04200h, 0B467h, 01002h, 06499h, 06744h, 09EB4h, 03D69h, 0330Dh, 02EEAh, 03584h, 0C184h, 08C2Ch, 03E83h, 054B8h, 0F128h
  !dw 092BCh, 05C10h, 052DAh, 0B576h, 00820h, 0F271h, 03F37h, 0EBBCh, 01789h, 09A69h, 02A2Dh, 014F3h, 0389Ah, 05E9Dh, 0DDDFh, 0403Bh, 0B492h, 0DCABh, 071C1h, 0D36Ch, 052FAh, 041D5h, 0D828h, 0F9E1h, 0011Ch, 0BA8Ah, 0B104h, 0FF6Fh, 0FB64h, 02CBDh, 083CBh, 050FEh, 0CF57h, 02A00h, 0A0D3h, 033A2h, 0E7CFh, 08E38h, 0AAADh, 03E28h
  !dw 0D2DAh, 0E835h, 07A0Fh, 05D2Ah, 0674Eh, 054C9h, 069FFh, 05000h, 04674h, 02A6Bh, 0941Ah, 0DCC4h, 0CF2Ch, 0AE0Ch, 0610Dh, 00B30h, 0FDC3h, 0EFCFh, 05C4Bh, 0A0EAh, 090C9h, 006E4h, 0A41Ch, 08796h, 06000h, 0D353h, 09CF6h, 0F628h, 0F80Fh, 00141h, 02ACFh, 0B6E7h, 015BAh, 03D26h, 0E7C7h, 069C4h, 0B9C6h, 01436h, 0AE49h, 09670h
  !dw 0F80Ch, 0D586h, 09E25h, 0EAA9h, 0C6CFh, 0E2AAh, 00FD7h, 04E7Dh, 00900h, 094A0h, 0D894h, 0A142h, 0C5F0h, 0FA26h, 08D29h, 026CEh, 0C214h, 0C21Ah, 01660h, 041CCh, 038C8h, 04BA6h, 044EBh, 04868h, 035EAh, 0B112h, 09A2Bh, 00008h, 0FFBEh, 053DCh, 06868h, 03FD8h, 0FBFDh, 04F7Fh, 05AF3h, 0C7B5h, 0F3CDh, 0E1B9h, 05850h, 0B39Dh
  !dw 02D15h, 01861h, 0DCBAh, 03DAAh, 0D2D2h, 05305h, 08313h, 05A94h, 0F438h, 0A112h, 0D8E1h, 09F2Ch, 048A3h, 09652h, 0E415h, 02A9Dh, 07B8Fh, 01BC0h, 0E5C8h, 07372h, 020E8h, 0949Ch, 03061h, 0C90Bh, 0848Dh, 0D73Ch, 0A506h, 00066h, 0F2F0h, 0BE7Fh, 0BF91h, 0454Fh, 04991h, 00482h, 08300h, 00741h, 00C00h, 03F43h, 05CDCh, 09E8Bh
  !dw 0AF3Dh, 069A6h, 06EB5h, 051ABh, 0A9CFh, 092BBh, 0B965h, 0A2AAh, 048F8h, 0174Bh, 0750Ah, 02008h, 0162Ch, 0D9B3h, 0F064h, 086FAh, 07E79h, 079F2h, 05E1Bh, 0405Fh, 04514h, 0BA34h, 0AE75h, 0841Ch, 08435h, 02CC1h, 0B30Ch, 0CF51h, 026E5h, 06142h, 0A711h, 07333h, 082FAh, 06C4Ch, 06684h, 0CAC8h, 0DAEAh, 07F41h, 03530h, 0201Eh
  !dw 02749h, 0ED6Ah, 054DAh, 078E3h, 0E3EBh, 004D3h, 0E810h, 01BD9h, 02CB2h, 02CB3h, 0EFBDh, 009C0h, 03F75h, 07F3Eh, 0EE10h, 080ACh, 0E38Bh, 014C7h, 0C9B3h, 0D5D0h, 04033h, 08DE5h, 0E314h, 0BE79h, 0B3CAh, 09532h, 074CAh, 0FB9Dh, 00E6Ah, 006CFh, 02F85h, 00C08h, 01966h, 0EFE0h, 0B4FCh, 06AB4h, 0000Bh, 04D68h, 09945h, 0F8E4h
  !dw 03878h, 068CCh, 0550Ch, 035D5h, 0BB76h, 06C75h, 0462Ch, 0B400h, 00CF7h, 02AA1h, 0A28Ch, 09128h, 0D8B1h, 078D8h, 02D1Ch, 04441h, 062C6h, 02492h, 0AF55h, 0B474h, 00CF7h, 00011h, 04004h, 03926h, 028E6h, 08D2Dh, 0C58Ch, 06A60h, 0906Eh, 0724Ch, 0E18Ch, 06674h, 071B3h, 07070h, 09B38h, 0CE8Ah, 02855h, 0B804h, 08436h, 02CC1h
  !dw 05027h, 08682h, 0A2C2h, 0570Ah, 02C99h, 083CBh, 0E0FEh, 07244h, 0124Ch, 06427h, 03251h, 05CDBh, 04904h, 02A7Ah, 0B25Dh, 0F72Ch, 0F9F4h, 08008h, 01292h, 0305Bh, 07614h, 0CABBh, 09208h, 06450h, 0C065h, 00017h, 0E000h, 004E3h, 04E67h, 0F98Ch, 01A1Bh, 08EEFh, 05227h, 050A1h, 00018h, 0D152h, 02CA0h, 0268Bh, 053ABh, 0DA6Dh
  !dw 02B9Bh, 06107h, 0610Dh, 0CB30h, 04656h, 08400h, 054D6h, 070C8h, 0E486h, 05F98h, 06591h, 0668Ah, 016F5h, 00007h, 05DB8h, 09265h, 0772Ch, 0B475h, 04289h, 00016h, 04668h, 02FA3h, 04628h, 084BDh, 03DA6h, 04357h, 0985Dh, 08D8Eh, 05248h, 0754Eh, 01CD0h, 0080Ah, 0086Bh, 0B983h, 0641Dh, 00004h, 0B660h, 012B9h, 07E63h, 0628Ah
  !dw 06ED7h, 083B8h, 0D8E3h, 01FCBh, 053E3h, 0D535h, 07652h, 0A5B4h, 0750Bh, 0A205h, 0CD19h, 09B1Dh, 0C8B6h, 0DCB2h, 0E7DBh, 0BC83h, 04DFEh, 0EE73h, 0C020h, 06A25h, 0660Ch, 0A2B9h, 0E2FAh, 027AEh, 0545Eh, 0B147h, 00C31h, 0CB2Dh, 00032h, 063A4h, 06A23h, 0B434h, 0C376h, 0001Dh, 0CB20h, 0A972h, 020BDh, 01B1Dh, 06591h, 0AD11h
  !dw 0882Ch, 02062h, 03230h, 002AFh, 0D1C2h, 00610h, 05B73h, 047C7h, 0EFEAh, 0572Bh, 0E13Ah, 007B2h, 0E6AEh, 0988Fh, 03F9Fh, 06101h, 0610Dh, 0D830h, 03747h, 04F14h, 03061h, 00C18h, 08306h, 060C1h, 01830h, 0060Ch, 0C183h, 03060h, 00C18h, 08306h, 060C1h, 01830h, 0060Ch, 05983h, 0FC86h, 0423Fh, 0746Ch, 0A4DEh, 0C2B9h, 00060h
  !dw 00000h, 04900h, 04E45h, 0AE44h, 06042h, 00082h
  ;}
EndDataSection

; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 82
; FirstLine = 61
; Folding = 0
; EnableXP